Bug 299271 - Review Request: nafees-web-naskh-fonts - Nafees Web font for writing Urdu in the Naskh script
Review Request: nafees-web-naskh-fonts - Nafees Web font for writing Urdu in ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-20 16:48 EDT by Bernie Innocenti
Modified: 2013-03-13 00:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 23:51:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johnp: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Nafees license (2.18 KB, application/octet-stream)
2007-09-20 17:06 EDT, John (J5) Palmieri
no flags Details

  None (edit)
Description Bernie Innocenti 2007-09-20 16:48:52 EDT
Spec URL: http://www.codewiz.org/pub/olpc-bernie/specs/nafees-web-naskh-fonts.spec
SRPM URL: http://www.codewiz.org/pub/olpc-bernie/source/nafees-web-naskh-fonts-1.0-1.fc7.src.rpm
Description: 

Center for Research in Urdu Language Processing (CRULP) at National University
of Computer and Emerging Sciences is pleased to announce updated version of
character based Nafees Web Naskh Open Type Font for writing Urdu in Naskh
script based on Unicode standard. This updated version has complete support of
Aerabs for Urdu and updated glyphs for Latin characters. Guidance and
calligraphy of basic glyphs for the font has been provided by Syed
Jameel-ur-Rehman. He is pupil of Syed Nafees Shah and Hafiz Syed
Anees-ul-Hassan. Nafees Web Naskh OTF contains approximately 330 glyphs,
including 5 ligatures.

We hope that release of these fonts from CRULP will trigger extensive usage of
Urdu over the internet, and electronic communication and publication, and
promote the cause of Urdu computing.
Comment 1 John (J5) Palmieri 2007-09-20 17:03:32 EDT
So when converting the .zip to a tar.bz2 it should be versioned with the date to
avoid confusion.  The description reads like a press release.  Please edit it to
just be a factual description of the package.
Comment 2 John (J5) Palmieri 2007-09-20 17:06:46 EDT
Created attachment 201301 [details]
Nafees license

I am told this is very much like the bitstream license but it needs to be
vetted by legal
Comment 3 John (J5) Palmieri 2007-09-20 17:09:14 EDT
blocking on FE-LEGAL for clarification on license
Comment 4 Tom "spot" Callaway 2007-09-20 17:16:08 EDT
This License is just Bitstream Vera with different copyright holder and
restricted trademarks (use "License: Bitstream Vera").

Lifting FE-Legal.
Comment 5 Bernie Innocenti 2007-09-20 18:44:38 EDT
(In reply to comment #1)
> So when converting the .zip to a tar.bz2 it should be versioned with the date to
> avoid confusion.

Done

> The description reads like a press release.  Please edit it to
> just be a factual description of the package.

Done

(In reply to comment #4)
> This License is just Bitstream Vera with different copyright holder and
> restricted trademarks (use "License: Bitstream Vera").

Done
Comment 6 Kevin Fenzi 2007-09-24 12:16:37 EDT
Please wait to request CVS until the package has been approved by your reviewer. 
(ie, they set the fedora-review flag to +)
Comment 7 John (J5) Palmieri 2007-10-01 16:51:54 EDT
ok, spec looks good.  Package looks good.  rpmlint clean.

      - MUST: rpmlint must be run on every package. The output should be posted
in the review.
OK - no output

      - MUST: The package must be named according to the Package Naming Guidelines.
Ok

      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption on Package Naming
Guidelines.
Ok

      - MUST: The package must meet the Packaging Guidelines.

Ok

      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.

Ok (Bitstream Vera) 

      - MUST: The License field in the package spec file must match the actual
license.
Ok

      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

OK

      - MUST: The spec file must be written in American English.
Ok
      - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).
Ok
      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

Ok (Upstream source is an unversioned zip file.  The packager converts this to a
date versioned tar.gz file and notes this in a comment above the source line)
 
      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.
Ok - noarch

      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64

Ok

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.

Ok

      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
Ok (no translations)

      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. If the package has multiple subpackages with libraries,
each subpackage should also have a %post/%postun section that calls
/sbin/ldconfig. An example of the correct syntax for this is: 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

Ok (No %{_libdir} libraries)

      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
Ok (package not relocatable)

      - MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. The exception to this are directories listed explicitly
in the Filesystem Hierarchy Standard
(http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe to assume that
those directories exist.
Ok

      - MUST: A package must not contain any duplicate files in the %files listing.
Ok

      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.
Ok

      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
Ok

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.
Ok

      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.
Ok

      - MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
Ok(no large docs)

      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
Ok

      - MUST: Header files must be in a -devel package.
Ok(No libraries)

      - MUST: Static libraries must be in a -static package.
Ok (No static libraries)

      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability).
Ok (No pkgconfig)

      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
Ok (no libraries)

      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
Ok(No devel)

      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.
Ok (No Libraries)

      - MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. This is described in detail in the
desktop files section of Packaging Guidelines. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation.
Ok (no .desktop file)

      - MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
Ok

      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
Ok

      - MUST: All filenames in rpm packages must be valid UTF-8.
Ok

SHOULD Items:
      - SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
Ok
     
      - SHOULD: The reviewer should test that the package builds in mock.
Ok

Comment 8 John (J5) Palmieri 2007-10-01 16:55:59 EDT
Ah, noticed two things:

You need a Requires: fontconfig line since you call fc-cache
Also the Source comment should be clearer stating that the archive comes in an
unversioned zip package and that you convert it to a tar.gz and date stamp it.

I'll approve for CVS.  Please make these changes when you check in.
Comment 9 Bernie Innocenti 2007-10-01 17:22:12 EDT
(In reply to comment #8)

> You need a Requires: fontconfig line since you call fc-cache

Done.

> Also the Source comment should be clearer stating that the archive comes in an
> unversioned zip package and that you convert it to a tar.gz and date stamp it.

Done.

> I'll approve for CVS.  Please make these changes when you check in.

Thanks.
Comment 10 Kevin Fenzi 2007-10-02 12:01:36 EDT
Bernardo: Can you add a CVS template/request here when you are ready and set the
fedora-cvs flag to ?

See: http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 11 Bernie Innocenti 2007-10-03 02:35:29 EDT
New Package CVS Request
=======================
Package Name: nafees-web-naskh-fonts
Short Description: Nafees Web font for writing Urdu in the Naskh script
Owners: bernie,johnp
Branches: FC-7
InitialCC: bernie
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2007-10-03 22:32:44 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.